=== debian/control ===
Source: release-upgrader-python-apt
Section: python
Priority: standard
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
Build-Depends: apt-utils,
               debhelper (>= 7.3.5),
               release-upgrader-libapt-pkg-dev (>= 0.8.16~exp12ubuntu1~upgrader1),
               python-all-dev,
               python-all-dbg,
               python-central (>= 0.5),
               python-distutils-extra (>= 2.0),
               python-sphinx (>= 0.5),
               python-debian
XS-Debian-Vcs-Bzr: http://bzr.debian.org/apt/python-apt/debian-sid
XS-Debian-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/changes

Package: release-upgrader-python-apt
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: lsb-release, iso-codes
Provides: ${python:Provides}
Suggests: python-apt-dbg, python-gtk2, python-vte, python-apt-doc
XB-Python-Version: ${python:Versions}
Description: Release upgrader version of python interface to libapt-pkg
 This version is a special build of python-apt, you will in almost all
 cases want to use the regular systems python-apt.

#Package: python-apt-doc
#Priority: optional
#Architecture: all
#Section: doc
#Depends: libjs-jquery, ${misc:Depends}
#Enhances: python-apt
#Replaces: python-apt (<< 0.7.94)
#Description: Python interface to libapt-pkg (API documentation)
# The apt_pkg Python interface will provide full access to the internal
# libapt-pkg structures allowing Python programs to easily perform a
# variety of functions.
# .
# This package contains the API documentation of python-apt.

#Package: python-apt-dbg
#Priority: extra
#Architecture: any
#Section: debug
#Depends: python-dbg, python-apt (= ${binary:Version}), ${shlibs:Depends},
#         ${misc:Depends}
#XB-Python-Version: ${python:Versions}
#Description: Python interface to libapt-pkg (debug extension)
# The apt_pkg Python interface will provide full access to the internal
# libapt-pkg structures allowing Python programs to easily perform a
# variety of functions.
# .
# This package contains the extension built for the Python debug interpreter.

#Package: python-apt-dev
#Priority: optional
# Architecture: all
# Depends: python-apt (>= ${source:Version}), libapt-pkg-dev (>= 0.7.10),
#          ${misc:Depends}
# Recommends: python-dev
# Description: Python interface to libapt-pkg (development files)
#  The apt_pkg Python interface will provide full access to the internal
#  libapt-pkg structures allowing Python programs to easily perform a
#  variety of functions.
#  .
#  This package contains the header files needed to use python-apt objects from
#  C++ applications.

# Package: python-apt-common
# Priority: optional
# Architecture: all
# Depends: ${misc:Depends}, python | python3
# Enhances: python-apt, python3-apt
# Breaks: python-apt (<< 0.7.98+nmu1)
# Replaces: python-apt (<< 0.7.98+nmu1)
# XB-Python-Version: ${python:Versions}
# Description: Python interface to libapt-pkg (locales)
#  The apt_pkg Python interface will provide full access to the internal
#  libapt-pkg structures allowing Python programs to easily perform a
#  variety of functions.
#  .
#  This package contains locales.

#Package: python3-apt
#Priority: optional
#Architecture: any
#Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-apt-common
#Recommends: lsb-release, iso-codes
#Provides: ${python3:Provides}
#Suggests: python3-apt-dbg, python-apt-doc
#Breaks: python-apt (<< 0.7.98+nmu1)
#Replaces: python-apt (<< 0.7.98+nmu1)
#Description: Python 3 interface to libapt-pkg
# The apt_pkg Python 3 interface will provide full access to the internal
# libapt-pkg structures allowing Python 3 programs to easily perform a
# variety of functions, such as:
# .
#  - Access to the APT configuration system
#  - Access to the APT package information database
#  - Parsing of Debian package control files, and other files with a
#    similar structure
# .
# The included 'aptsources' Python interface provides an abstraction of
# the sources.list configuration on the repository and the distro level.
#
#Package: python3-apt-dbg
#Priority: extra
#Architecture: any
#Section: debug
#Breaks: python-apt (<< 0.7.98+nmu1)
#Replaces: python-apt (<< 0.7.98+nmu1)
#Depends: python3-dbg, python3-apt (= ${binary:Version}), ${shlibs:Depends},
#         ${misc:Depends}
#Description: Python 3 interface to libapt-pkg (debug extension)
# The apt_pkg Python 3 interface will provide full access to the internal
# libapt-pkg structures allowing Python 3 programs to easily perform a
# variety of functions.
# .
# This package contains the extension built for the Python debug interpreter.
