=== debian/rules ===
#!/usr/bin/make -f
# Should be include-links, but that somehow fails.
export DEBVER=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export DH_PYCENTRAL=nomove
export CFLAGS=-Wno-write-strings -DCOMPAT_0_7

export PATH := $(CURDIR)/utils:$(PATH)
export pyversions := $(CURDIR)/utils/pyversions

%:
	dh --with python-central $@

override_dh_auto_build:
	dh_auto_build

override_dh_install:
	dh_install 

override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/lib/release-upgrader-python-apt
	# remove shared templates etc
	rm -rf debian/release-upgrader-python-apt/usr/share/python-apt

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

# We ignore failures on hurd, since its locking is broken
override_dh_auto_test:
	@echo "** tests disabled"
